%define major 0
%define apiversion 0.3
%define libname	%mklibname %{name}-%{apiversion}_ %{major}
%define develname %mklibname %{name} -d

Summary:	An extension library to Xfce desktop environment
Name:		exo
Version:	0.3.4
Release:	%mkrel 5
License:	GPLv2+
Group:		System/Libraries
URL:		http://www.xfce.org
Source:		%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.3.2-env-python.patch
# (tpg) http://bugzilla.xfce.org/show_bug.cgi?id=3349
Patch1:		%{name}-0.3.4-LUKS-encryption-support.patch
Patch2:		%{name}-0.3.2-iocharset.patch
Patch3:         %{name}-0.3.2-eject-volume.patch
Patch4:		%{name}-linkage_fix.diff
BuildRequires:	gtk2-devel
BuildRequires:	libxfcegui4-devel
BuildRequires:	xfce-mcs-manager-devel
BuildRequires:	startup-notification-devel
%py_requires -d
BuildRequires:	perl(URI::Escape)
BuildRequires:	hal-devel
BuildRequires:	libnotify-devel
BuildRequires:	intltool
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This is libexo, an extension library to Xfce, developed by os-cillation.
While Xfce comes with quite a few libraries that are targeted at
desktop development, libexo is targeted at application development.

%package -n %{libname}
Summary:	An extension library to Xfce
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n %{libname}
Main library for the libexo.

%package -n %{develname}
Summary:	Headers, static libraries and documentation for libexo
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname %{name}-%{apiversion}_ 0 -d

%description -n %{develname}
Headers, static libraries and documentation for libexo.

%package -n python-%{name}
Summary:	Python bindings for the exo library
Group:		Development/Python
BuildRequires:	pygtk2.0-devel

%description -n python-%{name}
This package contains a module that allow monitoring of
files and directories from the Python language based on the support
of the libexo package.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
# (tpg) needed for patch 4
NOCONFIGURE=1 xdt-autogen

%configure2_5x \
%if %mdkversion < 200900
	--sysconfdir=%{_sysconfdir}/X11 \
%endif
	--enable-mcs-plugin \
	--enable-notifications \
	--enable-hal \
	--enable-python \
	--disable-static

%make

%install
rm -rf %{buildroot}
%makeinstall_std

##rm unneeded file
rm -f %{buildroot}%{_libdir}/xfce4/mcs-plugins/exo-preferred-applications-settings.*a

%find_lang lib%{name}-%{apiversion}

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%post
%{update_menus}
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%clean_icon_cache hicolor
%endif

%files
%defattr(-,root,root)
%doc AUTHORS README HACKING ChangeLog TODO
%doc %{_datadir}/xfce4/doc/C
%doc %{_datadir}/xfce4/doc/ja
%doc %{_datadir}/xfce4/doc/fr/exo-preferred-applications.html
%doc %{_datadir}/xfce4/doc/fr/images/*
%if %mdkversion < 200900
%exclude %{_sysconfdir}/X11/xdg/xfce4/helpers.rc
%else
%exclude %{_sysconfdir}/xdg/xfce4/helpers.rc
%endif
%{_bindir}/exo*
%{_libdir}/xfce4/mcs-plugins/exo-preferred-applications-settings.so
%{_datadir}/applications/exo-preferred-applications.desktop
%{_datadir}/xfce4/helpers/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_mandir}/man1/exo*
%{_datadir}/pixmaps/exo-0.3/exo-thumbnail-frame.png
%{_datadir}/gtk-doc/html/%{name}/*

%files -n %{libname} -f lib%{name}-%{apiversion}.lang
%defattr(-,root,root)
%{_libdir}/exo-helper-0.3
%{_libdir}/exo-compose-mail-0.3
%{_libdir}/*%{apiversion}.so.%{major}*
%{_libdir}/exo-mount-notify-0.3

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/lib*.*a
%{_libdir}/pkgconfig/exo-*0.3.pc
%{_includedir}/*

%files -n python-%{name}
%defattr(-,root,root)
%doc python/examples/README python/examples/ellipsizing.py python/examples/toolbars.py
%{_datadir}/pygtk/2.0/defs/exo-0.3
%{_libdir}/python*/site-packages/exo-0.3
%{py_sitedir}/pyexo*


%changelog
* Wed Aug 20 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.4-5mdv2009.0
+ Revision: 274186
- Patch1: add support for LUKS encrypted volumes (upstream bug #3349)
- revert, it is pointless to backport this patch, too much effort
- Patch4: add support for LUKS encrypted volumes (upstream bug #3349)

  + Oden Eriksson <oeriksson@mandriva.com>
    - fix linkage

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun May 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.4-3mdv2009.0
+ Revision: 205642
- change sysconfdir from /etc/X11/xdg to /etc/xdg only for Mandriva releases newer than 2008.1

* Wed Mar 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.4-2mdv2008.1
+ Revision: 188933
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 04 2007 Jérôme Soyer <saispo@mandriva.org> 0.3.4-1mdv2008.1
+ Revision: 114971
- New release 0.3.4

* Tue Nov 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-10mdv2008.1
+ Revision: 110660
- new license policy
- fix buildrequires
- %%{libname} requires %%{name} istead of itself
- update summary and description for devel package
- do not package COPYING and INSTALL files, add ChangeLog instead

* Sat Sep 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-9mdv2008.0
+ Revision: 92269
- fix umount removable devices

* Fri Sep 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-8mdv2008.0
+ Revision: 91877
- exclude helpers.rc

* Tue Sep 04 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-7mdv2008.0
+ Revision: 79548
- determine the preffered iocharset for filesystem that support it

* Thu Aug 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-6mdv2008.0
+ Revision: 75084
- provide patch 1 (missing header)
- do not generate docs with gtk-doc

* Sat Aug 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-5mdv2008.0
+ Revision: 71411
- provide patch 0

* Mon Jun 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-4mdv2008.0
+ Revision: 44112
- move translations to the main library
- new devel library policy
- disable building of static files rather deleting them
- correct provides/obsoletes
- fix file list

* Thu May 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-3mdv2008.0
+ Revision: 33177
- drop __libtoolize
- use macros in %%post and %%postun
- spec file clean


* Sat Feb 24 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.3.2-2mdv2007.0
+ Revision: 125330
- Fix Hal support ( pointed out by Scara)
- Remove duplicate BR

* Tue Jan 23 2007 plouf <plouf> 0.3.2-1mdv2007.1
+ Revision: 112304
- New release 0.3.2

* Tue Dec 05 2006 Jérôme Soyer <saispo@mandriva.org> 0.3.1.12-0.rc2mdv2007.1
+ Revision: 90998
- Update

  + Götz Waschk <waschk@mandriva.org>
    - fix provides
    - fix post and postun scripts

* Thu Oct 26 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.3.1.8-0.beta2.2mdv2007.1
+ Revision: 72674
-  Add BuildRequires
- import exo-0.3.1.8-0.beta2.1mdv2007.0

* Tue Jul 11 2006 Charles A Edwards <eslrahc@mandriva.org> 0.3.1.8-0.beta2.1mdv2007.0
- 0.3.1.8beta2
- update file list

* Wed Apr 26 2006 Jerome Soyer <saispo@mandriva.org> 0.3.1.6-0.beta1.2mdk
- Add Provides

* Wed Apr 26 2006 Jerome Soyer <saispo@mandriva.org> 0.3.1.6-0.beta1.1mdk
- Tue Apr 18 2006 trem <trem@mandriva.org> 0.3.1.6-0.beta1.1mdk
- 0.3.1.6 beta1

* Sun Mar 12 2006 Marcel Pol <mpol@mandriva.org> 0.3.1-0.svn_r20246.3mdk
- package noarch files in prefix/lib

* Sat Mar 11 2006 Marcel Pol <mpol@mandriva.org> 0.3.1-0.svn_r20246.2mdk
- .la is not part of lib package

* Thu Mar 09 2006 Marcel Pol <mpol@mandriva.org> 0.3.1-0.svn_r20246.1mdk
- svn r20246
- update filelist

* Sun Feb 05 2006 Marcel Pol <mpol@mandriva.org> 0.3.1-0.svn_r19739.2mdk
- buildrequires xfce-mcs-manager-devel python

* Sun Feb 05 2006 Marcel Pol <mpol@mandriva.org> 0.3.1-0.svn_r19739.1mdk
- 0.3.1 from SVN r19739
- don't run libtoolize
- update filelist
- add exo package
- provide and obsolete libexo-0.2_0-devel

* Thu Mar 17 2005 Charles A Edwards <eslrahc@mandrake.org> 0.3.0-2mdk
- BR
- mv pygtk file to python pkg

* Thu Mar 17 2005 Charles A Edwards <eslrahc@mandrake.org> 0.3.0-1mdk
- 0.3.0
- update file list
- add python-exo pkg

* Fri Dec 03 2004 Charles A Edwards <eslrahc@mandrake.org> 0.2.0-1mdk
- first Mdk release

